--- ./src/VBox/ExtPacks/VNC/VBoxVNC.cpp.ORIG	2014-09-09 21:54:13.000000000 +0200
+++ ./src/VBox/ExtPacks/VNC/VBoxVNC.cpp	2014-09-19 19:49:34.000000000 +0200
@@ -291,7 +291,12 @@
                                                     &port, sizeof(port), &cbOut);
     Assert(cbOut <= sizeof(port));
     if (RT_SUCCESS(rc) && port != 0)
+    {
         vncServer->port = port;
+#if defined(LIBVNCSERVER_IPv6) && (LIBVNCSERVER_IPv6 != 0)
+        vncServer->ipv6port = port;
+#endif
+    }
     else
     {
         const char szFeatName[] = "Property/TCP/Ports";
@@ -310,7 +315,12 @@
             if (RT_FAILURE(rc) || port >= 65535)
                 vncServer->autoPort = 1;
             else
+	    {
                 vncServer->port = port;
+#if defined(LIBVNCSERVER_IPv6) && (LIBVNCSERVER_IPv6 != 0)
+		vncServer->ipv6port = port;
+#endif
+	    }
         }
         else
             vncServer->autoPort = 1;
